SystemOrganization addCategory: #'Pier-Admin'!

WAPresenter subclass: #PRContextViewer
	instanceVariableNames: 'context'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Admin'!

PRPierFrame subclass: #PRAdminFramePierFrame
	instanceVariableNames: 'selectedKernel'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Admin'!

!PRAdminFramePierFrame methodsFor: 'rendering' stamp: 'NickAger 7/2/2011 16:20'!
forPierContext:  aPierContext updateRoot: anHtmlRoot
	PRBlueprintLibrary default updateRoot: anHtmlRoot.
	PRJavaScriptSupport default updateRoot: anHtmlRoot.
	
	self updateStyleSheets: anHtmlRoot 
	
! !

!PRAdminFramePierFrame methodsFor: 'accessing' stamp: 'NickAger 7/2/2011 16:31'!
kernel
	^ self selectedKernel ! !

!PRAdminFramePierFrame methodsFor: 'rendering' stamp: 'NickAger 7/2/2011 17:31'!
renderContentOn: html
	self renderLeftAdminBarOn: html.
! !

!PRAdminFramePierFrame methodsFor: 'rendering' stamp: 'NickAger 7/2/2011 17:33'!
renderLeftAdminBarOn: html
    html div class: 'frame'; id: 'admin'; with: [
        html div class: 'block'; id: 'header'; with: [
            html div class: 'pierLogo'; with: ''.
            html div class: 'sitenamer'; with: [ self renderPierKernelsOn: html ].
            html anchor url: ''; class: 'logout'; title: 'Logout (l)'; accessKey: 'l'; with: 'Logout'.
        ].
        html div class: 'block'; id: 'browser'; with: [
            html heading level: 2; with: 'Browser'.
            html unorderedList class: 'view'; with: [
                html listItem:[
                    html anchor url: ''; title: 'Welcome to Pier!!'; class: 'menuItem page'; with: 'Home'.
                    html unorderedList:[
                        html listItem:[
                            html anchor url: ''; class: 'active page menuItem'; title: 'Blog'; with: 'Blog'
                        ].
                        html listItem:[
                            html anchor url: ''; class: 'page menuItem'; title: 'About Pier'; with: 'About Pier'
                        ].
                        html listItem:[
                            html anchor url: ''; class: 'page menuItem'; title: 'Blog'; with: 'Blog'
                        ].
                        html listItem:[
                            html anchor url: ''; class: 'page menuItem'; title: 'About Pier'; with: 'About Pier'
                        ].
                        html listItem:[
                            html anchor url: ''; class: 'page menuItem'; title: 'Blog'; with: 'Blog'
                        ].
                        html listItem:[
                            html anchor url: ''; class: 'page menuItem'; title: 'About Pier'; with: 'About Pier'
                        ].
                    ].
                ].
                html listItem:[
                    html anchor url: ''; class: 'system menuItem'; title: 'System'; with: 'System'.
                    html unorderedList:[
                        html listItem class: 'templates'; with: [
                            html anchor url: ''; class: 'templates menuItem'; title: 'Blog'; with: 'Templates'
                        ].
                        html listItem class: 'components'; with: [
                            html anchor url: ''; class: 'components menuItem'; title: 'About Pier'; with: 'Components'
                        ].
                        html listItem class: 'Management'; with: [
                            html anchor url: ''; class: 'management menuItem'; title: 'System'; with: 'Management'
                        ].
                    ].
                ].
            ].
            html anchor class: 'add'; url: ''; with: 'add...'.
        ].
        html div class: 'block'; id: 'commands'; with: [
            html div class: 'breadCrumb'; with: 'home > blog'.
            html heading level: 2; with: 'Blog'.
            html anchor url: ''; class: 'edit button'; with: 'Edit page'.
            html anchor url: ''; class: 'button'; with: 'Move page'.
            html anchor url: ''; class: 'button'; with: 'Page settings'.
            html anchor url: ''; class: 'button'; with: 'Remove page'.
        ].
        html div class: 'block'; id: 'views'; with: [
            html heading level: 2; with: 'Commands'.
            html unorderedList:[
                html listItem:[
                    html anchor url: ''; class: 'page'; title: 'Halos'; with: 'Halos'
                ].
                html listItem:[
                    html anchor url: ''; class: 'page'; title: 'Search'; with: 'Search'
                ].
                html listItem:[
                    html anchor url: ''; title: 'Welcome to Pier!!'; class: 'active page'; with: 'View'
                ].
            ].
        ].
    ].
    html div class: 'container'; with: [
	self renderSelectedKernelOn: html    
] ! !

!PRAdminFramePierFrame methodsFor: 'rendering' stamp: 'NickAger 7/2/2011 16:20'!
renderPierKernelsOn: html
	html form with: [
		html select
			beSubmitOnChange;
			list: PRKernel instances;
			on: #selectedKernel of: self ]! !

!PRAdminFramePierFrame methodsFor: 'rendering' stamp: 'NickAger 7/2/2011 17:33'!
renderSelectedKernelOn: html
	self selectedKernel isNil ifTrue: [ ^ self ].
	
	html script: 'if(window !!= top) { top.location = window.location }'.
	html iframe
		rootBlock: [ :anHtmlRoot | self forPierContext: self context updateRoot: anHtmlRoot ];
		style: 'width: 800px; height: 800px; float:left';
		contents: [
			PRCurrentContext use: self during: [
				html rendererInstance
					start: self structure environment
					in: self on: html	] ]
	
	! !

!PRAdminFramePierFrame methodsFor: 'accessing' stamp: 'NickAger 7/2/2011 16:20'!
selectedKernel
	^ selectedKernel ifNil: [ selectedKernel := PRKernel instances any ]! !

!PRAdminFramePierFrame methodsFor: 'accessing' stamp: 'NickAger 7/2/2011 18:00'!
selectedKernel: anObject
	context := nil.
	selectedKernel := anObject.
! !

WAComponent subclass: #PRAdminFrame
	instanceVariableNames: 'selectedKernel context'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Admin'!

!PRAdminFrame methodsFor: 'as yet unclassified' stamp: 'NickAger 7/2/2011 15:46'!
context
	self halt.^ context ifNil: [ context := PRContext kernel: self selectedKernel ]! !

!PRAdminFrame methodsFor: 'as yet unclassified' stamp: 'NickAger 7/2/2011 13:58'!
context: aPierContext
	context := aPierContext! !

!PRAdminFrame methodsFor: 'rendering' stamp: 'NickAger 7/2/2011 13:01'!
forPierContext:  aPierContext updateRoot: anHtmlRoot
	PRBlueprintLibrary default updateRoot: anHtmlRoot.
	PRJavaScriptSupport default updateRoot: anHtmlRoot.
	
	self updateStyleSheets: anHtmlRoot 
	
! !

!PRAdminFrame methodsFor: 'as yet unclassified' stamp: 'NickAger 7/2/2011 14:10'!
initialRequest: aRequest
	| structure following |
	super initialRequest: aRequest.
	self session 
		addFilter: (PRContextFilter on: self)! !

!PRAdminFrame methodsFor: 'accessing' stamp: 'NickAger 7/2/2011 16:23'!
kernel
	^ self selectedKernel ! !

!PRAdminFrame methodsFor: 'rendering' stamp: 'NickAger 7/2/2011 14:31'!
renderContentOn: html
	html script: 'if(window !!= top) { top.location = window.location }'.
	self renderPierKernelsOn: html.
	self renderSelectedKernelOn: html! !

!PRAdminFrame methodsFor: 'rendering' stamp: 'NickAger 7/2/2011 13:07'!
renderPierKernelsOn: html
	html form with: [
		html select
			beSubmitOnChange;
			list: PRKernel instances;
			on: #selectedKernel of: self ]! !

!PRAdminFrame methodsFor: 'rendering' stamp: 'NickAger 7/2/2011 14:46'!
renderSelectedKernelOn: html
	self selectedKernel isNil ifTrue: [ ^ self ].
	
	PRCurrentContextHolder use: self during: [
				html rendererInstance
					start: self structure environment
					in: self on: html].

"	html iframe
		rootBlock: [ :anHtmlRoot | self forPierContext: self context updateRoot: anHtmlRoot ];
		style: 'width: 800px; height: 800px';
		contents: [
			PRCurrentContext use: self during: [
				html rendererInstance
					start: self structure environment
					in: self on: html	] ]"
	
	! !

!PRAdminFrame methodsFor: 'accessing' stamp: 'NickAger 7/2/2011 12:20'!
selectedKernel
	^ selectedKernel ifNil: [ selectedKernel := PRKernel instances any ]! !

!PRAdminFrame methodsFor: 'accessing' stamp: 'NickAger 7/2/2011 14:41'!
selectedKernel: anObject
	self halt.
	context := nil.
	selectedKernel := anObject.
! !

!PRAdminFrame methodsFor: 'as yet unclassified' stamp: 'NickAger 7/2/2011 12:40'!
structure
	^ self context structure ! !

!PRAdminFrame methodsFor: 'as yet unclassified' stamp: 'NickAger 7/2/2011 12:41'!
updateStyleSheets: aHtmlRoot
	self structure styleSheets do: [ :structure |
		structure file isEmpty ifFalse: [
			aHtmlRoot stylesheet 
				url: structure file url ] ]! !
